Error: php@7.4 has been disabled because it is a versioned formula!

小畅 22,896 次浏览 0

原因是php7.4已经不在维护,在brew上已经停止安装了。

有两个方法可以解决

1、第一个方法
sudo vim /usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/Formula/php@7.4.rb

找到下面这行,前面加一个#就可以了
#disable! date: "2022-11-28", because: :versioned_formula

2、第二个方法
通过第三方源来安装
brew tap shivammathur/php
brew install shivammathur/php/php@7.4

第三方源地址:https://github.com/shivammathur/homebrew-php

发表评论 取消回复
表情 图片 链接 代码

分享